/*
 * 5ESS specific IDs and functions
 * Copyright (C) 2009 Stefan Knoblich <s.knoblich@axsentis.de>
 */

#ifndef _5ESS_H_
#define _5ESS_H_

#include "Q931.h"

/*****************************************************************************
 5ESS specific messages, IEs and functions
*****************************************************************************/

#define	ATT5ESSie_GENERIC_BILLING_DATA			0x56 /* 0101 0110 */
#define ATT5ESSie_ITEM					0x4d /* 0100 1101 */
#define ATT5ESSie_ORIGINATING_ACCESS_SERVICE_TYPE	0x43 /* 0100 0011 */
#define ATT5ESSie_ORIGINATING_LINE_INFORMATION		0x01 /* 0000 0001 */
#define ATT5ESSie_SPECIFIC_EVENT			0x47 /* 0100 0111 */
#define ATT5ESSie_USER_ENTERED_CODE			0x02 /* 0000 0010 */

#if defined(Q931_PRIVATE)
void ATT5ESSCreateTE(struct Q931Dialect *dlct);
#endif /* Q931_PRIVATE */

#endif /* _5ESS_H_ */
